summaryrefslogtreecommitdiffstats
path: root/rubygem-paperclip.spec
diff options
context:
space:
mode:
authorKen Dreyer <ktdreyer@ktdreyer.com>2012-08-03 22:54:52 -0600
committerKen Dreyer <ktdreyer@ktdreyer.com>2012-08-03 22:54:52 -0600
commiteb952ddedadbc78d456bb8be90180ff35ea52815 (patch)
treec2bae08fff1ee920fb67a7f41224bf63980c0705 /rubygem-paperclip.spec
downloadrubygem-paperclip-eb952ddedadbc78d456bb8be90180ff35ea52815.zip
rubygem-paperclip-eb952ddedadbc78d456bb8be90180ff35ea52815.tar.gz
rubygem-paperclip-eb952ddedadbc78d456bb8be90180ff35ea52815.tar.xz
Initial package, created by gem2rpm 0.8.1
Diffstat (limited to 'rubygem-paperclip.spec')
-rw-r--r--rubygem-paperclip.spec119
1 files changed, 119 insertions, 0 deletions
diff --git a/rubygem-paperclip.spec b/rubygem-paperclip.spec
new file mode 100644
index 0000000..b57eb20
--- /dev/null
+++ b/rubygem-paperclip.spec
@@ -0,0 +1,119 @@
+# Generated from paperclip-3.1.4.gem by gem2rpm -*- rpm-spec -*-
+%global gem_name paperclip
+%global rubyabi 1.9.1
+
+Summary: File attachments as attributes for ActiveRecord
+Name: rubygem-%{gem_name}
+Version: 3.1.4
+Release: 1%{?dist}
+Group: Development/Languages
+License: MIT
+URL: https://github.com/thoughtbot/paperclip
+Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
+Patch0: rubygem-paperclip-3.1.4-skip-broken-fog-tests.patch
+Requires: ruby(abi) = %{rubyabi}
+Requires: ruby(rubygems)
+Requires: rubygem(activerecord) >= 3.0.0
+Requires: rubygem(activemodel) >= 3.0.0
+Requires: rubygem(activesupport) >= 3.0.0
+Requires: rubygem(cocaine) >= 0.0.2
+Requires: rubygem(mime-types)
+Requires: ImageMagick
+BuildRequires: ruby(abi) = %{rubyabi}
+BuildRequires: rubygems-devel
+BuildRequires: ImageMagick
+# Minitest and deps
+BuildRequires: rubygem(minitest)
+BuildRequires: rubygem(mocha)
+BuildRequires: rubygem(bourne)
+BuildRequires: rubygem(activerecord) >= 3.0.0
+BuildRequires: rubygem(mime-types)
+BuildRequires: rubygem(cocaine)
+BuildRequires: rubygem(sqlite3)
+BuildRequires: rubygem(fog)
+BuildRequires: rubygem(aws-sdk)
+# Cucumber and deps
+BuildRequires: rubygem(cucumber)
+BuildRequires: rubygem(cucumber-rails)
+BuildRequires: rubygem(shoulda)
+BuildRequires: rubygem(aruba)
+BuildRequires: rubygem(capybara)
+BuildRequires: rubygem(fakeweb)
+BuildArch: noarch
+Provides: rubygem(%{gem_name}) = %{version}
+
+%description
+Easy upload management for ActiveRecord
+
+
+%package doc
+Summary: Documentation for %{name}
+Group: Documentation
+Requires: %{name} = %{version}-%{release}
+BuildArch: noarch
+
+%description doc
+Documentation for %{name}
+
+%prep
+%setup -q -c -T
+mkdir -p .%{gem_dir}
+gem install --local --install-dir .%{gem_dir} \
+ --force %{SOURCE0}
+
+# Skip two tests that fail with old versions of rubygem(fog).
+# https://github.com/thoughtbot/paperclip/pull/837
+pushd .%{gem_instdir}
+%patch0 -p1
+popd
+
+# Remove developer files
+rm -rf .%{gem_instdir}/.gitignore
+rm -rf .%{gem_instdir}/.travis.yml
+# Remove extra gemspec file
+rm -rf .%{gem_instdir}/%{gem_name}.gemspec
+
+%build
+
+%install
+mkdir -p %{buildroot}%{gem_dir}
+cp -a .%{gem_dir}/* \
+ %{buildroot}%{gem_dir}/
+
+%check
+pushd .%{gem_instdir}
+ testrb -Ilib test/*/*_test.rb
+ # The cucumber tests fail because we're not using bundler
+ # TODO: fix the tests to run without bundler
+ #cucumber features/*.feature
+popd
+
+
+%files
+%dir %{gem_instdir}
+%{gem_libdir}
+%exclude %{gem_cache}
+%{gem_spec}
+
+%files doc
+%doc %{gem_docdir}
+%doc %{gem_instdir}/Appraisals
+%doc %{gem_instdir}/CONTRIBUTING.md
+%doc %{gem_instdir}/LICENSE
+%doc %{gem_instdir}/NEWS
+%doc %{gem_instdir}/README.md
+%doc %{gem_instdir}/RUNNING_TESTS.md
+%doc %{gem_instdir}/UPGRADING
+%{gem_instdir}/Gemfile
+%{gem_instdir}/Gemfile.lock
+%{gem_instdir}/Rakefile
+%{gem_instdir}/cucumber
+%{gem_instdir}/gemfiles
+%{gem_instdir}/features
+%{gem_instdir}/shoulda_macros
+%{gem_instdir}/test
+
+
+%changelog
+* Fri Aug 03 2012 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.1.4-1
+- Initial package, created by gem2rpm 0.8.1